#!/sbin/sh 

# Uninstallation script for FireScope Agent HPUX version
USER="firescop"
INSTALLDIR="/opt/firescope"
INIT="/sbin/init.d"
RC="/etc/rc.config.d"

# Stop all FireScope processes
kill -9 `cat /opt/f*/a*/logs/f*a*.pid`
#$INIT/firescope_agentd stop
sleep 3

# Remove fsuser from operating system
userdel $USER


# Remove FireScope files and folders

rm -f $INIT/firescope_agentd
rm -f $RC/firescope_agentd
rm -f /sbin/rc3.d/S900firescope_agentd
rm -f /sbin/rc2.d/K100firescope_agentd
rm -rf $INSTALLDIR

# DONE
echo "FireScope Agent for HPUX has been removed."

